$nomod51                ;der Modus fuer 8051 wird abgeschaltet
$debug
$nolist                 ;es wird kein Listing fuer reg535 erstellt
$include(reg535.pdf)    ;die 80535-spezifischen Daten
$list                   ;es wird ein Listing erstellt
$title (KLOPF_S25.A51)
;------------------------------------------------------------------------
;Programmbeschreibung
;------------------------------------------------------------------------
;Programm:
;
; Subtraktion von CC1 - 25
;
;
;Erstellt am: Sonntag, 24. Juni 2007 10:48:50 
;Programmiert: 
;
;Verwendete Einspruenge: keine
;
;Verwendete Unterprogramme: keine
;
;
;Verwendete Register und Variable:
;Registerbank(0)
;R2
;
;Kommentar:
;
;Aenderungen:
;Geaendert am: Sonntag, 24. Juni 2007 10:48:50
;
;
;------------------------------------------------------------------------
;Initialisierungsteil fuer allgemeine Konstanten
;------------------------------------------------------------------------
CSEG AT 0H              ;Legt absolute Codesegmentadresse auf 0h
ADD_WERT EQU 25			;Additionswert
SUB_WERT EQU 25			;Subtraktionswert
jmp INIT
;
;------------------------------------------------------------------------
;Interrupt-Vektoren
;------------------------------------------------------------------------
;ORG 

;------------------------------------------------------------------------
;Initialisierungsteil fuer On-Chip Peripherie
;------------------------------------------------------------------------
ORG 100H                ;Programmstart bei 100H
INIT:

mov CCL1,#0				;CC1 mit 0 laden
mov CCL1,#0


;------------------------------------------------------------------------
;Programmschleife
;------------------------------------------------------------------------

KLOPF_M25:
mov A,CCL1				;Wert aus CCL1 holen
clr CY					;Carry zuruecksetzen
subb A,#SUB_WERT		;Subtraktion mit 25
mov CCL1,A				;Wert in CCL1 zurueckschreiben
jnc UEBERTRAG_S			;Carry?
dec CCH1				;Carry subtrahieren
UEBERTRAG_S:
jmp KLOPF_M25			; Sprung nach KLOPF_P25

end


